Package uk.ac.starlink.vo

# Interface UwsJobInfo

public interface UwsJobInfo
Describes the information about a UWS Job which can be retrieved from a UWS server by retrieving the job's <uws:job> element.

Since:
  4 May 2011
Author:
  Mark Taylor
See Also:
  - UWS 1.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`UwsJobInfo.Error`
Represents error information associated with a UWS job.
`static interface`
`UwsJobInfo.Parameter`
Represents a parameter associated with a UWS job.
`static interface`
`UwsJobInfo.Result`
Represents a result associated with a UWS job.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDestruction()`
Returns this job's destruction time.
`String`
`getEndTime()`
Returns this job's end time, if it's ended.
`UwsJobInfo.Error`
`getError()`
Returns any error information associated with this job.
`String`
`getExecutionDuration()`
Returns the maximum wall-clock time that this job is permitted to run for, in seconds.
`String`
`getJobId()`
Returns this job's ID, unique for this UWS service.
`String`
`getOwnerId()`
Returns this job's owner ID, blank unless authentication is in use.
`UwsJobInfo.Parameter[]`
`getParameters()`
Returns the list of parameter objects associated with this job.
`String`
`getPhase()`
Returns this job's current phase.
`String`
`getQuote()`
Returns this job's quoted completion time, if any.
`UwsJobInfo.Result[]`
`getResults()`
Returns the list of result objects associted with this job.
`String`
`getRunId()`
Returns this job's run ID, often left blank.
`String`
`getStartTime()`
Returns this job's start time, if it's started.
`String`
`getUwsVersion()`
Returns the version of UWS with which this job identifies itself.

## Method Details

### getUwsVersion

String getUwsVersion()
Returns the version of UWS with which this job identifies itself. A null return means that the `version` attribute is absent from the <job> start tag; that ought to indicate that version 1.0 is in use.

Returns:
  value of `version` attribute in `<job>` element

### getJobId

String getJobId()
Returns this job's ID, unique for this UWS service.

Returns:
  job ID

### getRunId

String getRunId()
Returns this job's run ID, often left blank.

Returns:
  run ID

### getOwnerId

String getOwnerId()
Returns this job's owner ID, blank unless authentication is in use.

Returns:
  owner authorization information

### getPhase

String getPhase()
Returns this job's current phase.

Returns:
  phase
See Also:
  - `UwsStage`

### getQuote

String getQuote()
Returns this job's quoted completion time, if any.

Returns:
  quote as an ISO-8601 time

### getStartTime

String getStartTime()
Returns this job's start time, if it's started.

Returns:
  start time in ISO-8601 format

### getEndTime

String getEndTime()
Returns this job's end time, if it's ended.

Returns:
  end time in ISO-8601 format

### getExecutionDuration

String getExecutionDuration()
Returns the maximum wall-clock time that this job is permitted to run for, in seconds. Zero indicates unlimited.

Returns:
  max duration in seconds

### getDestruction

String getDestruction()
Returns this job's destruction time.

Returns:
  time after which the job will be removed in ISO-8601 format

### getParameters

UwsJobInfo.Parameter[] getParameters()
Returns the list of parameter objects associated with this job.

Returns:
  parameter list

### getResults

UwsJobInfo.Result[] getResults()
Returns the list of result objects associted with this job.

Returns:
  result list

### getError

UwsJobInfo.Error getError()
Returns any error information associated with this job.

Returns:
  error object